| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelInterfaceMediaSignallingInterface Class Reference
[Channel proxies]

`#include <TelepathyQt4/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply
  < Tp::MediaSessionHandlerInfoList > GetSessionHandlers ()

## Signals

- void NewSessionHandler (const QDBusObjectPath &sessionHandler, const QString &sessionType)

## Public Member Functions

- ChannelInterfaceMediaSignallingInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceMediaSignallingInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelInterfaceMediaSignallingInterface (Tp::DBusProxy *proxy)
- ChannelInterfaceMediaSignallingInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelInterfaceMediaSignallingInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Interface.MediaSignalling."

## Constructor & Destructor Documentation

ChannelInterfaceMediaSignallingInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ChannelInterfaceMediaSignallingInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ChannelInterfaceMediaSignallingInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ChannelInterfaceMediaSignallingInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ChannelInterfaceMediaSignallingInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelInterfaceMediaSignallingInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

ChannelInterfaceMediaSignallingInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelInterfaceMediaSignallingInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

ChannelInterfaceMediaSignallingInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a ChannelInterfaceMediaSignallingInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Interface.MediaSignalling", which this class represents.

Returns:
  The D-Bus interface name.

QDBusPendingReply<Tp::MediaSessionHandlerInfoList> GetSessionHandlers | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetSessionHandlers" on the remote object.

Returns all currently active session handlers on this channel as a list of (session_handler_path, type).

void NewSessionHandler | ( | const QDBusObjectPath & | sessionHandler,
|  | const QString & | sessionType |
| ) |  |  | `[signal]`

Represents the signal "NewSessionHandler" on the remote object.

Signal that a session handler object has been created. The client should create a session object and create streams for the streams within.

Parameters:

  | sessionHandler | Object path of the new Media.SessionHandler object
  | sessionType | String indicating type of session, eg "rtp"

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`